b-row
    b-col(cols="12" md="4")
        label.form__label
            | Tipo de plan *
        ValidationProvider(name="Tipo de plan" v-slot="{ errors }" rules="required")
            multiselect(
                placeholder="Selecciona un valor"
                v-model="operationData.pp_plan_type"
                :show-labels="false"
                :searchable="true"
                label="name"
                track-by="name"
                :options="planTypeOptions"
            )
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Nombre de plan *
        ValidationProvider(name="Nombre de plan" v-slot="{ errors }" rules="required")
            b-form-input(v-model="operationData.xt_fund_name")
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Código DGS *
        ValidationProvider(name="Código DGS" v-slot="{ errors }" rules="required")
            b-form-input(v-model="operationData.pp_xt_dgs_code")
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Entidad de origen (código EGS) *
        ValidationProvider(name="Entidad de origen" v-slot="{ errors }" rules="required")
            b-form-input(v-model="operationData.pp_xt_egs_code")
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Situación origen *
        ValidationProvider(name="Situación origen" v-slot="{ errors }" rules="required")
            multiselect(
                placeholder="Selecciona un valor"
                v-model="operationData.pp_source_situation"
                :show-labels="false"
                :searchable="true"
                label="name"
                track-by="name"
                :options="sourceSituationOptions"
            )
            .form__error {{ errors[0] }}

    //- Este todo depende de como se haya decidido implementarlo en el backoffice, actualmente aún no se ha decidido como hacerlo
    //- TODO: Requerido si DGS no empieza por 'N'
    b-col(cols="12" md="4")
        label.form__label
            | Cuenta partícipe de origen *
        ValidationProvider(name="Cuenta partícipe de origen" v-slot="{ errors }" rules="required")
            b-form-input(v-model="operationData.xt_account_origin")
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Compartimentos *
        ValidationProvider(name="Compartimentos" v-slot="{ errors }" rules="required")
            multiselect(
                placeholder="Selecciona un valor"
                v-model="operationData.pp_compartment"
                :show-labels="false"
                :searchable="true"
                label="name"
                track-by="name"
                :options="compartmentOptions"
            )
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Tipo de derechos *
        ValidationProvider(name="Tipo de derechos" v-slot="{ errors }" rules="required")
            multiselect(
                placeholder="Selecciona un valor"
                v-model="operationData.pp_rights_type"
                :show-labels="false"
                :searchable="true"
                label="name"
                track-by="name"
                :options="rightTypeOptions"
            )
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        label.form__label
            | Tipo de operacion *
        ValidationProvider(name="Tipo de operacion" v-slot="{ errors }" rules="required")
            multiselect(
                placeholder="Selecciona un valor"
                v-model="operationData.amountSharesIndicator"
                :show-labels="false"
                :searchable="true"
                label="name"
                track-by="name"
                :options="amountSharesIndicatorOptions"
                @input="handleOperationInputTypeChange"
            )
            .form__error {{ errors[0] }}

    b-col(v-if="!operationData.amountSharesIndicator || operationData.amountSharesIndicator.key === 'B'" cols="12" md="4")
        label.form__label
            | Cantidad *
        ValidationProvider(name="Cantidad" v-slot="{ errors }" :rules="`required|numeric|min_value:${selectedProduct.minimum_initial_investment}`")
            b-form-input(v-model="operationData.grossAmount" type="number" @input="handleInputGrossAmount")
            .form__error {{ errors[0] }}

    b-col(v-if="operationData.amountSharesIndicator && operationData.amountSharesIndicator.key === 'P'" cols="12" md="4")
        label.form__label
            | Cantidad de participaciones *
        ValidationProvider(name="Cantidad de participaciones" v-slot="{ errors }" :rules="`required|numeric|min_value:${selectedProduct.minimum_initial_investment/selectedProduct.net_asset_value}`")
            b-form-input(v-model="operationData.shares" type="number" @input="handleInputShares")
            .form__error {{ errors[0] }}

    b-col(cols="12" md="4")
        .d-flex.justify-content-between
            span VL a día {{selectedProduct.net_asset_value_date | moment('DD-MMM-YYYY')}}
            strong {{(+selectedProduct.net_asset_value).toFixed(6)}}
        .d-flex.justify-content-between
            span Importe mínimo
            strong {{selectedProduct.minimum_initial_investment}}
        .d-flex.justify-content-between
            span Participaciones
            strong {{operationData.shares || 0}}
        .d-flex.justify-content-between
            span Importe
            strong {{operationData.grossAmount || 0}}
